# ************************************
# Vhost template in module puppetlabs-apache
# Managed by Puppet
# ************************************
WSGISocketPrefix /var/run/wsgi
<VirtualHost *:443>
  ServerName pulppuppet01sand.brusselsairport.aero

  ## Vhost docroot
  DocumentRoot "/var/www/html"



  ## Directories, there should at least be a declaration for /var/www/html


  <Directory "/var/www/html">
    Options Indexes FollowSymLinks MultiViews
    AllowOverride None
    Order allow,deny
    Allow from all
  </Directory>

  ## Load additional static includes


  ## Logging
  ErrorLog "/var/log/httpd/pulp_error_ssl.log"
  ServerSignature Off
  CustomLog "/var/log/httpd/pulp_access_ssl.log" combined




  ## SSL directives
  SSLEngine on
  SSLCertificateFile      "/etc/pki/tls/pulpserver.crt"
  SSLCertificateKeyFile   "/etc/pki/tls/pulpserver.key"
  SSLCACertificatePath    "/etc/pki/tls/certs"
  SSLCACertificateFile    "/etc/pki/pulp/ca.crt"
  SSLVerifyClient         optional
  SSLVerifyDepth          3
  SSLOptions +StdEnvVars
  WSGIDaemonProcess pulp display-name=%{GROUP} group=apache processes=1 threads=8 user=apache
  WSGIProcessGroup pulp
  WSGIScriptAlias /pulp/api "/srv/pulp/webservices.wsgi"
</VirtualHost>

